> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# Get elastic signing agreements

GET https://demo.docusign.net/clickapi/v1/accounts/{accountId}/clickwraps/{clickwrapId}/users

Retrieves the user agreements for a specified elastic template. Each `userAgreementResponse` object describes a single user's response to the elastic signing agreement. You can also filter the agreements by date, status, page number, and client user ID.

[Required authentication scopes](/docs/click-api/click101/auth/): `click.manage`.

### Related topics

- [How to get elastic template responses](/docs/click-api/how-to/get-elastic-template-responses/)

Reference: https://developers.docusign.com/docs/click-api/reference/accounts/clickwraps/getclickwrapagreements

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://demo.docusign.net/clickapi` (Demo, default)
- `https://www.docusign.net/clickapi` (Production)

## Request

### Path parameters

- `accountId` (string, required) — The external account number (int) or account ID GUID.
- `clickwrapId` (string, required) — The GUID of the elastic template.

### Query parameters

- `client_user_id` (string, optional) — The client ID.
- `from_date` (string, optional) — The earliest date to return agreements from.
- `page_number` (string, optional) — The results for this endpoint are paginated. Use this parameter to indicate which page to return. The `minimumPagesRemaining` value in the response indicates whether to continue querying for additional pages. For example, if the page size is 40: * If this property is set to 0 (the default), the endpoint returns results 1-40. * If this property is set to 1, the endpoint returns results 41-80. The default value is 0.
- `status` (string, optional) — The status of the elastic templates to return.
- `to_date` (string, optional) — The latest date to return agreements from.

## Response

### 200

Successful response.

- `beginCreatedOn` (ClickwrapAgreementsResponseBeginCreatedOn, optional) — User agreements from this datetime.
- `minimumPagesRemaining` (integer, optional) — Number of pages remaining in the response.
- `page` (integer, optional) — The number of the current page.
- `pageSize` (integer, optional) — The number of items per page.
- `userAgreements` (list of userAgreementResponse, optional) — An array of user agreements.

## Errors

### 400 Bad Request Error

Error encountered.

- `errorCode` (string, optional) — The error code.
- `message` (string, optional) — The error message.

## Types

### ClickwrapAgreementsResponseBeginCreatedOn

User agreements from this datetime.

### userAgreementResponse

- `accountId` (string, optional) — The external account number (int) or account ID GUID.
- `agreedOn` (UserAgreementResponseAgreedOn, optional) — Date that the client last completed the agreement. This property is null if `agreementUrl` is not null and `status` is not `agreed`.
- `agreementId` (string, optional) — The agreement ID.
- `agreementUrl` (string, optional) — When not null, an agreement is required for user specified by `clientUserId`. When missing the user specified by `clientUserId` has already agreed and does not require a new acceptance. Use this URL to render the agreement in a web page.
- `clickwrapId` (string, optional) — The GUID of the elastic template.
- `clientUserId` (string, optional) — A unique value that identifies a user. You can use anything that your system uses to identify unique users, such as employee IDs, email addresses, and surrogate keys as the value of `clientUserId`. An elastic signing agreement with a specific `clientUserId` will not appear again once it has been accepted.
- `consumerDisclosureEnabled` (boolean, optional) — **True** if consumer disclosure was required by this agreement.
- `consumerDisclosureHtml` (string, optional) — The customer-branded HTML with the Electronic Record and Signature Disclosure information
- `createdOn` (UserAgreementResponseCreatedOn, optional) — The date when the elastic template was created. May be null.
- `dataFields` (list of dataField, optional) — An array of `dataField` objects.
- `declinedOn` (UserAgreementResponseDeclinedOn, optional) — The date when the user declined the most recent required agreement. This property is valid only when `status` is `declined`. Otherwise it is null.
- `documentData` (map from string to string, optional) — This property specifies the data used to create an elastic template with [dynamic content](/docs/click-api/click101/customize-elastic-template-fields/#add-dynamic-content-to-your-elastic-template).
- `documents` (list of document, optional) — An array of documents.
- `metadata` (string, optional) — A customer-defined string you can use in requests. This string will appear in the corresponding response.
- `returnUrl` (string, optional) — The URL redirected to after the agreement was completed.
- `settings` (displaySettings, optional) — Information about how an agreement is displayed.
- `status` (string, optional) — User agreement status. One of: - `created` - `agreed` - `declined`
- `style` (UserAgreementResponseStyle, optional) — This property specifies the custom style provided when the agreement was created by [customizing the template appearance][]. [customizing the template appearance]: /docs/click-api/click101/customize-elastic-template-appearance/
- `version` (string, optional) — The human-readable semver version string.
- `versionId` (string, optional) — The ID of the version.
- `versionNumber` (integer, optional) — Human-readable version number. For example `1.2`.

### UserAgreementResponseAgreedOn

Date that the client last completed the agreement. This property is null if `agreementUrl` is not null and `status` is not `agreed`.

### UserAgreementResponseCreatedOn

The date when the elastic template was created. May be null.

### dataField

Describes a single data field.

- `label` (string, optional) — The label of the datafield. This is the text that is displayed to the user.
- `name` (string, optional) — A string used to refer to the field internally. The name must be unique within an elastic template. The following fields are predefined by the API: - `fullName` - `email` - `company` - `title` - `date`
- `type` (string, optional) — The type of the field. Valid values: - `STRING` - `NUMBER` - `DATE`

### UserAgreementResponseDeclinedOn

The date when the user declined the most recent required agreement. This property is valid only when `status` is `declined`. Otherwise it is null.

### document

Information about a document.

- `documentBase64` (string, optional) — The base64-encoded contents of the document.
- `documentDisplay` (string, optional) — Display type: link or document
- `documentHtml` (string, optional) — The HTML representation of the document.
- `documentName` (string, optional) — The name of the document.
- `fileExtension` (string, optional) — The file extension of the document.
- `mustRead` (boolean, optional) — **True** if the user needs to scroll to the end of the document.
- `mustView` (boolean, optional) — Reserved for Docusign.
- `order` (integer, optional) — The order of document layout.

### displaySettings

Information about how an agreement is displayed.

- `actionButtonAlignment` (string, optional) — Position of the Accept button in the agreement. One of - `right` - `left`
- `allowClientOnly` (boolean, optional) — When **true,** this agreement can be be used in client-only integrations.
- `allowedHosts` (list of string, optional) — Hosts that can host the elastic template. It is an error if the elastic template didn't come from one of these hosts.
- `brandId` (string, optional) — The signing brand ID.
- `consentButtonText` (string, optional) — Text on the agree button.
- `consentText` (string, optional) — The text on agree button.
- `declineButtonText` (string, optional) — The text on the decline button.
- `displayName` (string, optional) — The display name of the user agreement.
- `documentDisplay` (string, optional) — Display type: link or document
- `downloadable` (boolean, optional) — **True** if the agreement is downloadable.
- `format` (string, optional) — Display format: inline or modal.
- `hasDeclineButton` (boolean, optional) — **True** if the agreement has a decline checkbox.
- `mustRead` (boolean, optional) — **True** if the user needs to scroll to the end of the document.
- `mustView` (boolean, optional) — Reserved for Docusign.
- `recordDeclineResponses` (boolean, optional) — When **true,** this agreement records decline actions.
- `requireAccept` (boolean, optional) — **True** if accept is required.
- `sendToEmail` (boolean, optional) — **True** if send to email is applicable.
- `statementAlignment` (string, optional) — Position of the agreement statement. One of - `top` - `bottom`

### UserAgreementResponseStyle

This property specifies the custom style provided when the agreement was created by [customizing the template appearance][]. [customizing the template appearance]: /docs/click-api/click101/customize-elastic-template-appearance/

- `agreeButton` (AgreeButtonStyles, optional) — Sets the display of the Agree button.
- `agreementStatement` (AgreementStatementStyles, optional) — Sets the display of the agreement statement.
- `container` (ContainerStyles, optional) — Sets the overall clickwrap container and inherited styles such as font.
- `disclosureLink` (DisclosureLinkStyles, optional) — Sets the display of the disclosure link.
- `documentLink` (DocumentLinkStyles, optional) — Sets the display of the agreement statement.
- `header` (HeaderStyles, optional) — Sets the display of the header.
- `scrollControl` (enum, optional) — Control the scrolling of the document either by browser or by a scrollbar in the clickwrap shell. Can only be applied if the clickwrap `format` is `inline`.
  - Allowed values: `browser`, `fill_parent`

### AgreeButtonStyles

Sets the display of the Agree button.

- `:disabled` (BaseAgreeButtonStyles, optional)
- `:focus` (BaseAgreeButtonStyles, optional)
- `:hover` (BaseAgreeButtonStyles, optional)
- `backgroundColor` (string, optional) — The background color of the element.
- `border` (string, optional) — Sets the border of the element.
- `borderColor` (string, optional) — The border color of the element.
- `borderRadius` (string, optional) — The border radius of the element.
- `borderStyle` (string, optional) — The border style of the element.
- `borderWidth` (string, optional) — The border width of the element.
- `boxShadow` (string, optional) — Sets the display of the box shadow of the agree button.
- `color` (string, optional) — The foreground color of the element.
- `fontFamily` (string, optional) — The font family of the text.
- `fontSize` (string, optional) — The font size of the text.
- `fontStyle` (string, optional) — The font style of the text.
- `fontWeight` (AgreeButtonStylesFontWeight, optional) — The font weight of the text.
- `height` (string, optional) — The height of the agree button.
- `margin` (string, optional) — Sets the margin of the element.
- `opacity` (string, optional) — The opacity of the element.
- `outline` (string, optional) — Sets the outline of the element
- `outlineOffset` (string, optional) — Conrol the outline offset of the element
- `padding` (string, optional) — The padding of the element.
- `width` (string, optional) — The width of the agree button.

### AgreementStatementStyles

Sets the display of the agreement statement.

- `color` (string, optional) — The foreground color of the element.
- `display` (enum, optional) — Sets the display of the header. Can only be set to `none` over the default for hiding purposes.
  - Allowed values: `none`
- `fontFamily` (string, optional) — The font family of the text.
- `fontSize` (string, optional) — The font size of the text.
- `fontStyle` (string, optional) — The font style of the text.
- `fontWeight` (AgreementStatementStylesFontWeight, optional) — The font weight of the text.

### ContainerStyles

Sets the overall clickwrap container and inherited styles such as font.

- `backgroundColor` (string, optional) — The background color. This value cannot be set to `transparent` or `none`.
- `borderColor` (string, optional) — The border color of the clickwrap's surrounding container.
- `borderRadius` (string, optional) — The border radius of the clickwrap's surrounding container.
- `borderStyle` (string, optional) — The border style of the clickwrap's surrounding container.
- `borderWidth` (string, optional) — The border width of the clickwrap's surrounding container.

### DisclosureLinkStyles

Sets the display of the disclosure link.

- `display` (enum, optional) — Sets the display of the header. Can only be set to `none` over the default for hiding purposes.
  - Allowed values: `none`

### DocumentLinkStyles

Sets the display of the agreement statement.

- `:focus` (DocumentLinkStylesFocus, optional)
- `:hover` (DocumentLinkStylesHover, optional)
- `border` (string, optional) — Sets the border of the element.
- `color` (string, optional) — The foreground color of the element.
- `fontFamily` (string, optional) — The font family of the text.
- `fontSize` (string, optional) — The font size of the text.
- `fontStyle` (string, optional) — The font style of the text.
- `fontWeight` (DocumentLinkStylesFontWeight, optional) — The font weight of the text.
- `margin` (string, optional) — Sets the margin of the element.
- `padding` (string, optional) — The padding of the element.
- `textDecoration` (string, optional) — Sets the underline and other styles of the text.

### HeaderStyles

Sets the display of the header.

- `color` (string, optional) — The foreground color of the element.
- `display` (enum, optional) — Sets the display of the header. Can only be set to `none` over the default for hiding purposes.
  - Allowed values: `none`
- `fontFamily` (string, optional) — The font family of the text.
- `fontSize` (string, optional) — The font size of the text.
- `fontStyle` (string, optional) — The font style of the text.
- `fontWeight` (HeaderStylesFontWeight, optional) — The font weight of the text.
- `textDecoration` (string, optional) — Sets the underline and other styles of the text.

### BaseAgreeButtonStyles

- `backgroundColor` (string, optional) — The background color of the element.
- `border` (string, optional) — Sets the border of the element.
- `borderColor` (string, optional) — The border color of the element.
- `borderRadius` (string, optional) — The border radius of the element.
- `borderStyle` (string, optional) — The border style of the element.
- `borderWidth` (string, optional) — The border width of the element.
- `boxShadow` (string, optional) — Sets the display of the box shadow of the agree button.
- `color` (string, optional) — The foreground color of the element.
- `fontFamily` (string, optional) — The font family of the text.
- `fontSize` (string, optional) — The font size of the text.
- `fontStyle` (string, optional) — The font style of the text.
- `fontWeight` (BaseAgreeButtonStylesFontWeight, optional) — The font weight of the text.
- `height` (string, optional) — The height of the agree button.
- `margin` (string, optional) — Sets the margin of the element.
- `opacity` (string, optional) — The opacity of the element.
- `outline` (string, optional) — Sets the outline of the element
- `outlineOffset` (string, optional) — Conrol the outline offset of the element
- `padding` (string, optional) — The padding of the element.
- `width` (string, optional) — The width of the agree button.

### AgreeButtonStylesFontWeight

The font weight of the text.

- list of AgreeButtonStylesFontWeightOneOf0Items
- list of enum
  - Allowed values: `-moz-initial`, `bold`, `bolder`, `inherit`, `initial`, `lighter`, `normal`, `revert`, `unset`
- enum
  - Allowed values: `-moz-initial`, `bold`, `bolder`, `inherit`, `initial`, `lighter`, `normal`, `revert`, `unset`
- double

### AgreementStatementStylesFontWeight

The font weight of the text.

- list of AgreementStatementStylesFontWeightOneOf0Items
- list of enum
  - Allowed values: `-moz-initial`, `bold`, `bolder`, `inherit`, `initial`, `lighter`, `normal`, `revert`, `unset`
- enum
  - Allowed values: `-moz-initial`, `bold`, `bolder`, `inherit`, `initial`, `lighter`, `normal`, `revert`, `unset`
- double

### DocumentLinkStylesFocus

- `border` (string, optional) — Control the border of the element.
- `color` (string, optional) — Control the fore-ground color of the element.
- `fontFamily` (string, optional) — Control the font family of the text.
- `fontSize` (string, optional) — Control the font size of the text.
- `fontStyle` (string, optional) — Control the font style of the text.
- `fontWeight` (DocumentLinkStylesFocusFontWeight, optional) — Control the font weight of the text.
- `margin` (string, optional) — Control the margin of the element.
- `padding` (string, optional) — Control the padding of the element.
- `textDecoration` (string, optional) — Control the underline and other styles of the text.

### DocumentLinkStylesHover

- `border` (string, optional) — Control the border of the element.
- `color` (string, optional) — Control the fore-ground color of the element.
- `fontFamily` (string, optional) — Control the font family of the text.
- `fontSize` (string, optional) — Control the font size of the text.
- `fontStyle` (string, optional) — Control the font style of the text.
- `fontWeight` (DocumentLinkStylesHoverFontWeight, optional) — Control the font weight of the text.
- `margin` (string, optional) — Control the margin of the element.
- `padding` (string, optional) — Control the padding of the element.
- `textDecoration` (string, optional) — Control the underline and other styles of the text.

### DocumentLinkStylesFontWeight

The font weight of the text.

- list of DocumentLinkStylesFontWeightOneOf0Items
- list of enum
  - Allowed values: `-moz-initial`, `bold`, `bolder`, `inherit`, `initial`, `lighter`, `normal`, `revert`, `unset`
- enum
  - Allowed values: `-moz-initial`, `bold`, `bolder`, `inherit`, `initial`, `lighter`, `normal`, `revert`, `unset`
- double

### HeaderStylesFontWeight

The font weight of the text.

- list of HeaderStylesFontWeightOneOf0Items
- list of enum
  - Allowed values: `-moz-initial`, `bold`, `bolder`, `inherit`, `initial`, `lighter`, `normal`, `revert`, `unset`
- enum
  - Allowed values: `-moz-initial`, `bold`, `bolder`, `inherit`, `initial`, `lighter`, `normal`, `revert`, `unset`
- double

### BaseAgreeButtonStylesFontWeight

The font weight of the text.

- list of BaseAgreeButtonStylesFontWeightOneOf0Items
- list of enum
  - Allowed values: `-moz-initial`, `bold`, `bolder`, `inherit`, `initial`, `lighter`, `normal`, `revert`, `unset`
- enum
  - Allowed values: `-moz-initial`, `bold`, `bolder`, `inherit`, `initial`, `lighter`, `normal`, `revert`, `unset`
- double

### AgreeButtonStylesFontWeightOneOf0Items

- enum
  - Allowed values: `-moz-initial`, `bold`, `bolder`, `inherit`, `initial`, `lighter`, `normal`, `revert`, `unset`
- double

### AgreementStatementStylesFontWeightOneOf0Items

- enum
  - Allowed values: `-moz-initial`, `bold`, `bolder`, `inherit`, `initial`, `lighter`, `normal`, `revert`, `unset`
- double

### DocumentLinkStylesFocusFontWeight

Control the font weight of the text.

- list of DocumentLinkStylesFocusFontWeightOneOf0Items
- list of enum
  - Allowed values: `-moz-initial`, `bold`, `bolder`, `inherit`, `initial`, `lighter`, `normal`, `revert`, `unset`
- enum
  - Allowed values: `-moz-initial`, `bold`, `bolder`, `inherit`, `initial`, `lighter`, `normal`, `revert`, `unset`
- double

### DocumentLinkStylesHoverFontWeight

Control the font weight of the text.

- list of DocumentLinkStylesHoverFontWeightOneOf0Items
- list of enum
  - Allowed values: `-moz-initial`, `bold`, `bolder`, `inherit`, `initial`, `lighter`, `normal`, `revert`, `unset`
- enum
  - Allowed values: `-moz-initial`, `bold`, `bolder`, `inherit`, `initial`, `lighter`, `normal`, `revert`, `unset`
- double

### DocumentLinkStylesFontWeightOneOf0Items

- enum
  - Allowed values: `-moz-initial`, `bold`, `bolder`, `inherit`, `initial`, `lighter`, `normal`, `revert`, `unset`
- double

### HeaderStylesFontWeightOneOf0Items

- enum
  - Allowed values: `-moz-initial`, `bold`, `bolder`, `inherit`, `initial`, `lighter`, `normal`, `revert`, `unset`
- double

### BaseAgreeButtonStylesFontWeightOneOf0Items

- enum
  - Allowed values: `-moz-initial`, `bold`, `bolder`, `inherit`, `initial`, `lighter`, `normal`, `revert`, `unset`
- double

### DocumentLinkStylesFocusFontWeightOneOf0Items

- enum
  - Allowed values: `-moz-initial`, `bold`, `bolder`, `inherit`, `initial`, `lighter`, `normal`, `revert`, `unset`
- double

### DocumentLinkStylesHoverFontWeightOneOf0Items

- enum
  - Allowed values: `-moz-initial`, `bold`, `bolder`, `inherit`, `initial`, `lighter`, `normal`, `revert`, `unset`
- double

## Examples

**Response**

```json
{
  "beginCreatedOn": {},
  "minimumPagesRemaining": 1,
  "page": 1,
  "pageSize": 1,
  "userAgreements": [
    {
      "accountId": "string",
      "agreedOn": {},
      "agreementId": "string",
      "agreementUrl": "string",
      "clickwrapId": "string",
      "clientUserId": "string",
      "consumerDisclosureEnabled": true,
      "consumerDisclosureHtml": "string",
      "createdOn": {},
      "dataFields": [
        {
          "label": "string",
          "name": "string",
          "type": "string"
        }
      ],
      "declinedOn": {},
      "documentData": {},
      "documents": [
        {
          "documentBase64": "string",
          "documentDisplay": "string",
          "documentHtml": "string",
          "documentName": "string",
          "fileExtension": "string",
          "mustRead": true,
          "mustView": true,
          "order": 1
        }
      ],
      "metadata": "string",
      "returnUrl": "string",
      "settings": {
        "actionButtonAlignment": "string",
        "allowClientOnly": true,
        "allowedHosts": [
          "string"
        ],
        "brandId": "string",
        "consentButtonText": "string",
        "consentText": "string",
        "declineButtonText": "string",
        "displayName": "string",
        "documentDisplay": "string",
        "downloadable": true,
        "format": "string",
        "hasDeclineButton": true,
        "mustRead": true,
        "mustView": true,
        "recordDeclineResponses": true,
        "requireAccept": true,
        "sendToEmail": true,
        "statementAlignment": "string"
      },
      "status": "string",
      "style": {
        "agreeButton": {
          ":disabled": {
            "backgroundColor": "string",
            "border": "string",
            "borderColor": "string",
            "borderRadius": "string",
            "borderStyle": "string",
            "borderWidth": "string",
            "boxShadow": "string",
            "color": "string",
            "fontFamily": "string",
            "fontSize": "string",
            "fontStyle": "string",
            "fontWeight": [
              "-moz-initial"
            ],
            "height": "string",
            "margin": "string",
            "opacity": "string",
            "outline": "string",
            "outlineOffset": "string",
            "padding": "string",
            "width": "string"
          },
          ":focus": {
            "backgroundColor": "string",
            "border": "string",
            "borderColor": "string",
            "borderRadius": "string",
            "borderStyle": "string",
            "borderWidth": "string",
            "boxShadow": "string",
            "color": "string",
            "fontFamily": "string",
            "fontSize": "string",
            "fontStyle": "string",
            "fontWeight": [
              "-moz-initial"
            ],
            "height": "string",
            "margin": "string",
            "opacity": "string",
            "outline": "string",
            "outlineOffset": "string",
            "padding": "string",
            "width": "string"
          },
          ":hover": {
            "backgroundColor": "string",
            "border": "string",
            "borderColor": "string",
            "borderRadius": "string",
            "borderStyle": "string",
            "borderWidth": "string",
            "boxShadow": "string",
            "color": "string",
            "fontFamily": "string",
            "fontSize": "string",
            "fontStyle": "string",
            "fontWeight": [
              "-moz-initial"
            ],
            "height": "string",
            "margin": "string",
            "opacity": "string",
            "outline": "string",
            "outlineOffset": "string",
            "padding": "string",
            "width": "string"
          },
          "backgroundColor": "string",
          "border": "string",
          "borderColor": "string",
          "borderRadius": "string",
          "borderStyle": "string",
          "borderWidth": "string",
          "boxShadow": "string",
          "color": "string",
          "fontFamily": "string",
          "fontSize": "string",
          "fontStyle": "string",
          "fontWeight": [
            "-moz-initial"
          ],
          "height": "string",
          "margin": "string",
          "opacity": "string",
          "outline": "string",
          "outlineOffset": "string",
          "padding": "string",
          "width": "string"
        },
        "agreementStatement": {
          "color": "string",
          "display": "none",
          "fontFamily": "string",
          "fontSize": "string",
          "fontStyle": "string",
          "fontWeight": [
            "-moz-initial"
          ]
        },
        "container": {
          "backgroundColor": "string",
          "borderColor": "string",
          "borderRadius": "string",
          "borderStyle": "string",
          "borderWidth": "string"
        },
        "disclosureLink": {
          "display": "none"
        },
        "documentLink": {
          ":focus": {
            "border": "string",
            "color": "string",
            "fontFamily": "string",
            "fontSize": "string",
            "fontStyle": "string",
            "fontWeight": [
              "-moz-initial"
            ],
            "margin": "string",
            "padding": "string",
            "textDecoration": "string"
          },
          ":hover": {
            "border": "string",
            "color": "string",
            "fontFamily": "string",
            "fontSize": "string",
            "fontStyle": "string",
            "fontWeight": [
              "-moz-initial"
            ],
            "margin": "string",
            "padding": "string",
            "textDecoration": "string"
          },
          "border": "string",
          "color": "string",
          "fontFamily": "string",
          "fontSize": "string",
          "fontStyle": "string",
          "fontWeight": [
            "-moz-initial"
          ],
          "margin": "string",
          "padding": "string",
          "textDecoration": "string"
        },
        "header": {
          "color": "string",
          "display": "none",
          "fontFamily": "string",
          "fontSize": "string",
          "fontStyle": "string",
          "fontWeight": [
            "-moz-initial"
          ],
          "textDecoration": "string"
        },
        "scrollControl": "browser"
      },
      "version": "string",
      "versionId": "string",
      "versionNumber": 1
    }
  ]
}
```